// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnopenal.hpp"
#include "audio/_AudioManager.hpp"

namespace Dawn {
  class AudioManager : public IAudioManager {
    private:
      ALCdevice *device = nullptr;
      ALCcontext *context = nullptr;

    public:
      AudioManager(DawnGame *game);

      void init() override;
      void update() override;
  };
}